#
# spec file for package rubygem-bootsnap
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-bootsnap
Version:        1.4.2
Release:        bp155.2.11
%define mod_name bootsnap
%define mod_full_name %{mod_name}-%{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  %{rubydevel >= 2.0.0}
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  ruby-macros >= 5
Url:            https://github.com/Shopify/bootsnap
Source:         https://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        Boot large ruby/rails apps faster
License:        MIT
Group:          Development/Languages/Ruby

%description
Boot large ruby/rails apps faster.

%prep

%build

%install
%gem_install \
  --doc-files="CHANGELOG.md LICENSE.txt README.md" \
  -f
%gem_cleanup

%gem_packages

%changelog
* Fri Mar 29 2019 Stephan Kulow <coolo@suse.com>
- updated to version 1.4.2
  see installed CHANGELOG.md
  [#] 1.4.2
  * Fix bug when removing features loaded by relative path from `$LOADED_FEATURES`
  * Fix bug with propagation of `NameError` up from nested calls to `require`
* Sat Mar  2 2019 Stephan Kulow <coolo@suse.com>
- updated to version 1.4.1
  see installed CHANGELOG.md
  [#] 1.4.1
  * Don't register change observers to frozen objects.
  [#] 1.4.0
  * When running in development mode, always fall back to a full path scan on LoadError, making
    bootsnap more able to detect newly-created files. (#230)
  * Respect `$LOADED_FEATURES.delete` in order to support code reloading, for integration with
    Zeitwerk. (#230)
  * Minor performance improvement: flow-control exceptions no longer generate backtraces.
  * Better support for requiring from environments where some features are not supported (especially
    JRuby). (#226)k
  * More robust handling of OS errors when creating files. (#225)
* Mon Sep 17 2018 mschnitzer@suse.com
- updated to version 1.3.2
  * Fix Spring + Bootsnap incompatibility when there are files with similar names.
  * Fix `YAML.load_file` monkey patch to keep accepting File objects as arguments.
  * Fix the API for `ActiveSupport::Dependencies#autoloadable_module?`.
  * Some performance improvements.
* Wed Jul 11 2018 factory-auto@kulow.org
- updated to version 1.3.1
  see installed CHANGELOG.md
  [#] 1.3.1
  * Change load path scanning to more correctly follow symlinks.
* Fri Jul  6 2018 mschnitzer@suse.com
- Initial package release
